LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   xfce session restore of terminal to proper workspace (https://www.linuxquestions.org/questions/slackware-14/xfce-session-restore-of-terminal-to-proper-workspace-4175524632/)

fsbooks 11-07-2014 12:15 AM

xfce session restore of terminal to proper workspace
 
I was going to post on this problem, however, duckduckgo found this bug report for me. Thought I'd post anyway in case it helps another.

The problem was that when restoring a session, all the windows were showing up on the first workspace. This brought a bit of a consternation since my thoughts are organized using multiple terminals spread across available workspaces. I have to admit I only noticed the problem on my main machine after getting rid of Terminal-0.4.8 (which was starting to cause me some issues, understandably, since I am mostly at current), however I have seen this on other 14.1 installs. ... a clean system, huh, what a novel idea. Enough rambling.

Using xfce4-terminal-0.6.3 (post bug closing) with the source slackbuild has apparently solved my issue. Below is (a minor) patch to the slackbuild to enable it to detect the .bz2 file download.

Code:

--- xfce4-terminal.SlackBuild.org        2014-11-06 21:56:32.000000000 -0700
+++ xfce4-terminal.SlackBuild        2014-11-06 22:02:27.000000000 -0700
@@ -58,7 +58,7 @@
 mkdir -p $TMP $PKG
 cd $TMP
 rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
 cd $PKGNAM-$VERSION || exit 1
 chown -R root:root .
 find . \

I'll mark this as solved, but will wait a day or two in case someone knows any issues with 0.6.3.


All times are GMT -5. The time now is 04:15 PM.